import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (p, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, o) : r, l = p.length - 1, h; l >= 0; l--)
    (h = p[l]) && (e = (t ? h(r, o, e) : h(e)) || e);
  return t && e && f(r, o, e), e;
};
let s = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--kosherLarge", this.class = "c-pieIcon c-pieIcon--kosherLarge", this.name = "IconKosherLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--kosherLarge"><path d="m23.63 16.105 3.841-6.554h-7.62L16 2.875l-3.85 6.676H4.528l3.841 6.554-3.745 6.449h7.508L16 29.125l3.841-6.554h7.534l-3.745-6.466Zm.788-4.804-1.794 3.054-1.75-3.054h3.544ZM21.6 16.096l-2.756 4.708h-5.688L10.4 16.096l2.756-4.795h5.688l2.756 4.795ZM16 6.375l1.829 3.176H14.17l1.83-3.176Zm-8.417 4.926h3.552l-1.75 3.054-1.802-3.054Zm.096 9.503 1.75-2.966 1.75 2.966h-3.5ZM16 25.625l-1.811-3.089h3.622l-1.81 3.089Zm6.606-7.805 1.75 2.966h-3.482l1.732-2.966Z"></path></svg>`;
  }
};
i([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
i([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = i([
  m("icon-kosher-large")
], s);
export {
  s as IconKosherLarge
};
